function [b,v] = cbz(P) %b is 0 if can't be zero, 1 if can be zero, -1 if not sure
%v is a variable we can solve for or else 'pfft'
[N,D] = numden(P);
S = findsym(N);
v = 'pfft';
b = -1;
%need to handle case when S is empty string (coming from a constant entry)
if (length(S)==0) %note N will be a nonzero constant in this case
    b = 0;
else    
    S2 = perl('uncomma.pl',S);
    eval(['syms ' S2 ' real']);
    eval(['vars = [' S2 '];']); %now we have defined all the symbolic variables used
    N_string = char(expand(N));
    samesign = perl('samesign.pl',N_string); %samesign is '0' or '1' (could use str2double)  
    if (samesign=='1') 
        b = 0;
    else 
        O = ones(1,length(vars));
        ones_comma = perl('comma.pl',num2str(O));
        pat1 = eval(['subs(N,{' S '},{' ones_comma '})']); %start at all ones
        if (pat1==0)
            b = 1;
            for i = 1:length(vars)
                e = .0001;  %use this to wiggle variables a little
                gsub = O;
                gsub(i) = 1 + e;
                gsub_comma = perl('comma.pl',num2str(gsub));
                if (eval(['subs(N,{' S '},{' gsub_comma '})'])~=0)
                    v = char(vars(i));
                    break;             
                end       
            end
            if (length(v)==4 & v=='pfft')
                disp('error over here');
            end
        else
            for i = 1:length(vars)
                %put in a zero
                gsub = O;
                gsub(i) = 0;
                gsub_comma = perl('comma.pl',num2str(gsub));           
                temp1 = sign(double(eval(['subs(N,{' S '},{' gsub_comma '})'])));
                
                %take limit off to infinity in one variable of ratio
                newvars = vars([1:i-1,i+1:end]);
                newS = findsym(newvars);
                gsub = ones(1,length(vars)-1);
                gsub_comma = perl('comma.pl',num2str(gsub));
                pvar = eval(['subs(N,{' newS '},{' gsub_comma '})']);           
                temp2 = sign(double(limit(pvar/abs(pvar),vars(i),inf,'left')));
                
                %look for sign changes to indicate a zero we can solve for
                if (temp1*temp2<0 | temp1*sign(double(pat1)) < 0 | temp2*sign(double(pat1)) < 0)
                    b = 1;
                    v = char(vars(i));
                    break;
                end
            end
        end
    end       
end
    
%might later try fzero to get further information